// StarGazerSampleDlg.h : header file
//

#if !defined(AFX_StarGazerSampleDLG_H__1EE690D9_53CC_4A45_9B11_38D3854DA1D4__INCLUDED_)
#define AFX_StarGazerSampleDLG_H__1EE690D9_53CC_4A45_9B11_38D3854DA1D4__INCLUDED_

#include "comm.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CStarGazerSampleDlg dialog

class CStarGazerSampleDlg : public CDialog
{
// Construction
public:
	void CommDataOut(char mode, char *pTxData);
	CComm CSerial;
	CStarGazerSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CStarGazerSampleDlg)
	enum { IDD = IDD_StarGazerSample_DIALOG };
	CString	m_pRecvData;
	CString	m_pTransData;
	CString	m_pRecvAck;
	CString	m_pRecvGet;
	CString	m_pIDNum;
	CString	m_pRefID;
	CString	m_pMarkHeight;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStarGazerSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CStarGazerSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg LONG OnReceiveData(UINT, LONG); // Serial Communication Message Handler
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCalcstart();
	afx_msg void OnCalcstop();
	afx_msg void OnCmdExit();
	afx_msg void OnSetend();
	afx_msg void OnCmdIdnumSend();
	afx_msg void OnCmdRefidSend();
	afx_msg void OnCmdMarkheightAutocal();
	afx_msg void OnCmdMarkheightSend();
	afx_msg void OnCmdMarktypeHome();
	afx_msg void OnCmdMarktypeOffice();
	afx_msg void OnCmdMarkmodeAlone();
	afx_msg void OnCmdMarkmodeMap();
	afx_msg void OnCmdMapmodeStart();
	afx_msg void OnCmdMapmodeStop();
	afx_msg void OnCmdIdnumGet();
	afx_msg void OnCmdRefidGet();
	afx_msg void OnCmdMarkheightGet();
	afx_msg void OnCmdMarktypeGet();
	afx_msg void OnCmdMarkmodeGet();
	afx_msg void OnCmdMapmodeGet();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_StarGazerSampleDLG_H__1EE690D9_53CC_4A45_9B11_38D3854DA1D4__INCLUDED_)
